' '取中间字符(原字符,开头字符,结束字符)
'返回不包括 开头字符 和 结束字符 的，在其中间的字符
'从左开始查找，如果 开头和结束 不存在，将返回 空字符
Function GetStrCenter(ByVal sStr as String, lStr as String, rStr as String) as String  '取中间字符(原字符,开头字符,结束字符)
   Dim as Integer f1,f2,L
   f1 = InStr(sStr, lStr)
   L = Len(lStr)
   f2 = InStr(f1 + L, sStr, rStr)
   If f1 > 0 And f2 > 0 Then
      Return Mid(sStr, f1 + L, f2 - f1 - L)
   End If
End Function
Function GetStrCenterW(sStr as CWSTR , lStr as CWSTR , rStr as CWSTR ) as CWSTR   '取中间字符(原字符,开头字符,结束字符)
   Dim as Integer f1,f2,L
   f1 = InStr(**sStr, **lStr)
   L = Len(lStr)
   f2 = InStr(f1 + L, **sStr, **rStr)
   If f1 > 0 And f2 > 0 Then
      Return Mid(**sStr, f1 + L, f2 - f1 - L)
   End If
End Function